#include "setseg.h"
#include "clocker.h"

int sc_main(int argc, char* argv[]){

  sc_clock clockSgn("myClock");
  sc_signal<bool> rst_n_sgn, clk_sgn;
  sc_signal<sc_lv<7> > setseg_sgn;

  clocker myClocker("myClocker");
  myClocker.inclock(clockSgn);
  myClocker.outclock(clk_sgn);
  myClocker.reset_n(rst_n_sgn);

  setseg mySetSeg("mySegSeg");
  mySetSeg.clock_i(clk_sgn);
  mySetSeg.reset_ni(rst_n_sgn);
  mySetSeg.setseg_o(setseg_sgn);

  sc_trace_file *tf = sc_create_vcd_trace_file("setseg");
  sc_trace(tf, clockSgn, "clockSgn");
  sc_trace(tf, clk_sgn, "clk_sgn");
  sc_trace(tf, rst_n_sgn, "rst_n_sgn");
  sc_trace(tf, setseg_sgn, "setseg_sgn");

  sc_start(100,SC_NS);

  sc_close_vcd_trace_file(tf);

  return 0;
}

