#ifndef _setseg
#define _setseg

#include <systemc.h>

SC_MODULE(setseg){

  sc_in<bool> clock_i;
  sc_in<bool> reset_ni;
  sc_out<sc_lv<7> > setseg_o;

  sc_signal<int > counter;
  sc_signal<sc_uint<4> > temp;
  sc_signal<sc_lv<7> > status;

  void proc_counter();
  void proc_setseg();

  SC_CTOR(setseg){

    SC_METHOD(proc_counter);
    sensitive_neg << reset_ni;
    sensitive_pos << clock_i;

    SC_METHOD(proc_setseg);
    sensitive << status;
  }


};

#endif
